Exchange Volume Chart by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges/{id}/volume_chart \
--header 'x-cg-pro-api-key: <api-key>'[
[
1779719400000,
"76327.6889417086372104"
],
[
1779720000000,
"76335.761747668369059"
]
]Exchanges
Exchange Volume Chart by ID
To query the historical volume chart data with time in UNIX and trading volume data in BTC based on exchange’s ID
GET
/
exchanges
/
{id}
/
volume_chart
Exchange Volume Chart by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges/{id}/volume_chart \
--header 'x-cg-pro-api-key: <api-key>'[
[
1779719400000,
"76327.6889417086372104"
],
[
1779720000000,
"76335.761747668369059"
]
]Notes
- Also works for derivatives exchanges (e.g.
bitmex,binance_futures). - Volume is provided in BTC. Use Exchange Rates to convert to other currencies.
- Auto-granularity (cannot be adjusted):
- 1 day = 10-minutely
- 7, 14 days = hourly
- 30 days and above = daily
SDK Examples
const response = await client.exchanges.volumeChart.get('binance', {
days: '1',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Exchange ID or derivative exchange ID.
*refers to /exchanges/list or /derivatives/exchanges/list.
Query Parameters
Data up to number of days ago.
Available options:
1, 7, 14, 30, 90, 180, 365 Response
200 - application/json
Exchange volume chart data
Was this page helpful?
⌘I

